using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.Domain.Entities
{
    [Table("Robots")]
    [Index(nameof(Name), IsUnique = true)]
    public class Robot
    {
        [Key]
        public int Code { get; set; }

        public required string Name { get; set; }

        public required string Description { get; set; }


        public ICollection<RobotConfiguration> RobotConfigurations { get; set; } = new HashSet<RobotConfiguration>();
    }
}
